@import url("https://fonts.googleapis.com/css?family=Roboto");
* {
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
  outline: none;
}



.player {
  bottom: 0;
  position: fixed;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  left: 0;

  /*height: 100%;*/
}

.player-controls {
  width: 100%;
  color: white;
  text-align: center;

  background-color: #fff;
  /*border-radius: 15px;*/
  /*width: 425px;*/

  display: flex;
  justify-content: flex-end;
  /*padding: 10px;*/
  box-shadow: 0px 33px 90px 11px rgba(52, 73, 94,0.9);
}

* {
  box-sizing: border-box;
}

.song-panel {
  background-color: #FCF8FA;
  border-radius: 15px 15px 0 0;
  display: flex;
  height: 75px;
  justify-content: flex-end;
  padding: 0 12px 12px 12px;
  transform: translate3d(0, 100%, 0);
  transition: all 1s ease;
  /*width: 395px;*/
  width: 90%;
  z-index: 0;
  box-shadow: 0px 33px 90px 11px rgba(52, 152, 219,0.9);
}
.song-panel .song-info {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  /*width: 230px;*/
  width: 100%;
}
.song-panel .song-info .song-info__title {
  color: #444b59;
  font-size: 0.8rem;
  font-weight: bold;
  margin-bottom: 5px;
}
.song-panel .song-info .song-info__artist {
  color: #a5a7af;
  font-size: 0.7rem;
  margin-bottom: 10px;
}
.song-panel .song-info .progress {
  background: #fff;
  border-radius: 3px;
  cursor: ew-resize;
  display: flex;
  flex: 10;
  flex-basis: 100%;
  max-height: 5px;
  position: relative;
  transition: height 0.3s;
  width: 100%;
}
.song-panel .song-info .progress .progress__filled {
  background: #fc8da8;
  flex: 0;
  flex-basis: 0%;
  width: 50%;
}
.song-panel.playing {
  transform: translate3d(0, 0, 0);
  transition: all 1s ease;
}

button {
  height: 50px;
  width: 50px;
  cursor: pointer;
  border: none;
  background-color: transparent;
  color: #e04031;
  margin: 15px;
  margin-right: 25px;
  border-radius: 10px;
  position: relative;
}

button:hover, button.playing {
  background-color: #E0DEE1;
  color: #ffffff;
}

button.play span.pause {
  background-color: #333333;
  position: absolute;
  top: 10px;
  height: 30px;
  width: 15px;
  display: block;
  border-radius: 3px;
  opacity: 0;
  transition: all .5s ease;
}

button.play span.pause.left {
  left: 0;
}

button.play.playing span.pause.left {
  left: 20px;
  opacity: 1;
  transition: left .5s ease, opacity .8s ease;
}

button.play span.pause.right {
  right: 0;
}

button.play.playing span.pause.right {
  right: 20px;
  opacity: 1;
  transition: right .5s ease, opacity .8s ease;
}

button.play i {
  opacity: 1;
  transition: opacity .5s ease;
}

button.play.playing i {
  opacity: 0;
  transition: all .5s ease;
}

.player-controls {
  position: relative;
}
.player-controls .spinner {
  height: 80px;
  width: 100px;
  position: absolute;
  /*top: -40px;*/
  left: 1px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.player-controls .spinner.spin {
  animation: spin 5s linear infinite;
}
.player-controls .spinner .spinner__disc {
  height: 70px;
  width: 70px;
  border-radius: 50%;
  transition: all 1s ease;
  background-image: url(http://www.placecage.com/c/127/127);
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
.player-controls .spinner .spinner__disc.scale {
  transform: scale(1.17);
  transition: all 1s ease;
}
.player-controls .spinner .spinner__disc.scale .center__disc {
  color: #e4d6e9;
  transition: all 1s ease;
}
.player-controls .spinner .spinner__disc .center__disc {
  background-color: white;
  height: 20px;
  width: 20px;
  border-radius: 50%;
}
.backward{
  visibility: hidden;
}
.forward{
  visibility: hidden;
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
